package com.fjhx.form.controller;

import com.fjhx.form.entity.SubjectBalanceBo;
import com.fjhx.form.entity.SubjectBalanceSelectDto;
import com.fjhx.form.service.FinanceReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/report/finance")
public class FinanceReportController {

    @Autowired
    private FinanceReportService financeReportService;

    @PostMapping("/subjectBalance")
    List<SubjectBalanceBo> subjectBalance(@RequestBody SubjectBalanceSelectDto dto) {
        return financeReportService.subjectBalance(dto);
    }
}
